Add functest-components based on Alpine 13/38613/1
authorCédric Ollivier <cedric.ollivier@orange.com>
Wed, 2 Aug 2017 11:37:14 +0000 (13:37 +0200)
committerCédric Ollivier <cedric.ollivier@orange.com>
Wed, 2 Aug 2017 11:39:37 +0000 (13:39 +0200)
It integrates the whole test suite:
  - tempest_full_parallel
  - tempest_custom
  - rally_full

Change-Id: If215d8e12262072828f348ac323dba963849bf14
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
build.sh
docker/components/Dockerfile [new file with mode: 0644]
docker/components/hooks/build [new file with mode: 0644]
docker/components/testcases.yaml [new file with mode: 0644]

index c7efc63..77ea98b 100644 (file)
--- a/build.sh
+++ b/build.sh
@@ -3,11 +3,17 @@
 set -e
 
 repo=${repo:-opnfv}
+dirs="\
+docker/core \
+docker/healthcheck \
+docker/smoke \
+docker/features \
+docker/components"
 
 (cd docker && docker build -t "${repo}/functest" .)
 docker push "${repo}/functest"
 
-for dir in docker/core docker/healthcheck docker/smoke docker/features; do
+for dir in ${dirs}; do
     (cd ${dir} && docker build -t "${repo}/functest-${dir##**/}" .)
     docker push "${repo}/functest-${dir##**/}"
 done
diff --git a/docker/components/Dockerfile b/docker/components/Dockerfile
new file mode 100644 (file)
index 0000000..8923e4c
--- /dev/null
@@ -0,0 +1,4 @@
+FROM opnfv/functest-core
+
+COPY testcases.yaml /usr/lib/python2.7/site-packages/functest/ci/testcases.yaml
+CMD ["bash","-c","prepare_env start && run_tests -t all"]
diff --git a/docker/components/hooks/build b/docker/components/hooks/build
new file mode 100644 (file)
index 0000000..e5d15b5
--- /dev/null
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+from="${DOCKER_REPO%/*}/functest-core"
+sed -i "s|^FROM.*$|FROM ${from}|" Dockerfile &&
+    docker build -t "${IMAGE_NAME}" .
+
+exit $?
diff --git a/docker/components/testcases.yaml b/docker/components/testcases.yaml
new file mode 100644 (file)
index 0000000..1604161
--- /dev/null
@@ -0,0 +1,56 @@
+tiers:
+    -
+        name: components
+        order: 3
+        ci_loop: 'weekly'
+        description : >-
+            Extensive testing of OpenStack API.
+        testcases:
+            -
+                case_name: tempest_full_parallel
+                project_name: functest
+                criteria: 80
+                blocking: false
+                description: >-
+                    The list of test cases is generated by
+                    Tempest automatically and depends on the parameters of
+                    the OpenStack deplopyment.
+                dependencies:
+                    installer: '^((?!netvirt).)*$'
+                    scenario: ''
+                run:
+                    module: 'functest.opnfv_tests.openstack.tempest.tempest'
+                    class: 'TempestFullParallel'
+
+            -
+                case_name: tempest_custom
+                project_name: functest
+                criteria: 100
+                blocking: false
+                description: >-
+                    The test case allows running a customized list of tempest
+                    test cases defined in a file under
+                    <dir_functest_repo>/functest/opnfv_tests/openstack/
+                      /tempest/custom_tests/test_list.txt
+                    The file is empty and can be customized with the desired tests.
+                dependencies:
+                    installer: 'unknown'
+                    scenario: 'unknown'
+                run:
+                    module: 'functest.opnfv_tests.openstack.tempest.tempest'
+                    class: 'TempestCustom'
+
+            -
+                case_name: rally_full
+                project_name: functest
+                criteria: 90
+                blocking: false
+                description: >-
+                    This test case runs the full suite of scenarios of the OpenStack
+                    Rally suite using several threads and iterations.
+                dependencies:
+                    installer: '^((?!netvirt).)*$'
+                    scenario: ''
+                run:
+                    module: 'functest.opnfv_tests.openstack.rally.rally'
+                    class: 'RallyFull'
\ No newline at end of file